dofile("config.lua")

OUTFILE_P = "data-%s-%s.js"

local function get_content(filename)
	local status, f = pcall(io.open, filename, "r")
	if not status or not f then return nil end
	local content = f:read("*a")
	f:close()
	return content
end

local function download(src, dst)
	local cmd = string.format("curl -s -o %s %s", dst, src)
	local old_content = get_content(dst)
	if arg[1] == '-v' then print(cmd) end
	os.execute(cmd)
	local new_content = get_content(dst)
	if new_content ~= old_content then
		print(string.format("CHANGED : %s", src))
	end
end

for lang, url_p in pairs(LANG_SRC_URLS) do
	for class in pairs(CLASSES) do
		local url = string.format(url_p, class:lower(), lang)
		local out = string.format(OUTFILE_P, class:lower(), lang)
		
		download(url, out)
	end
end
